Bug 1255498 - [RFE] List capsule status similar to virsh
Summary: [RFE] List capsule status similar to virsh
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-20 18:21 UTC by Pradeep Kumar Surisetty
Modified: 2017-02-02 04:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 04:21:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13871 None None None 2016-04-22 15:34:46 UTC

Description Pradeep Kumar Surisetty 2015-08-20 18:21:43 UTC
Description of problem:

As we are scaling capsules, would need to show capsule status (off/on)

In below list around 100 capsules/VM's are shutdown. End user has no clue about these capsule status


[root@perfc-380g8-01 ~]# hammer -u admin -p changeme capsule list
----|--------------------------------------------|--------------------------------------------------------
ID  | NAME                                       | URL                                                    
----|--------------------------------------------|--------------------------------------------------------
1   | perfc-380g8-01.perf.lab.eng.rdu.redhat.com | https://perfc-380g8-01.perf.lab.eng.rdu.redhat.com:9090
2   | vmcapsule001.perf.lab.eng.rdu.redhat.com   | https://vmcapsule001.perf.lab.eng.rdu.redhat.com:9090  
3   | vmcapsule002.perf.lab.eng.rdu.redhat.com   | https://vmcapsule002.perf.lab.eng.rdu.redhat.com:9090  
4   | vmcapsule003.perf.lab.eng.rdu.redhat.com   | https://vmcapsule003.perf.lab.eng.rdu.redhat.com:9090  
5   | vmcapsule004.perf.lab.eng.rdu.redhat.com   | https://vmcapsule004.perf.lab.eng.rdu.redhat.com:9090  
6   | vmcapsule005.perf.lab.eng.rdu.redhat.com   | https://vmcapsule005.perf.lab.eng.rdu.redhat.com:9090  
7   | vmcapsule006.perf.lab.eng.rdu.redhat.com   | https://vmcapsule006.perf.lab.eng.rdu.redhat.com:9090  
8   | vmcapsule007.perf.lab.eng.rdu.redhat.com   | https://vmcapsule007.perf.lab.eng.rdu.redhat.com:9090  
9   | vmcapsule008.perf.lab.eng.rdu.redhat.com   | https://vmcapsule008.perf.lab.eng.rdu.redhat.com:9090  
10  | vmcapsule009.perf.lab.eng.rdu.redhat.com   | https://vmcapsule009.perf.lab.eng.rdu.redhat.com:9090  
11  | vmcapsule010.perf.lab.eng.rdu.redhat.com   | https://vmcapsule010.perf.lab.eng.rdu.redhat.com:9090  
12  | vmcapsule011.perf.lab.eng.rdu.redhat.com   | https://vmcapsule011.perf.lab.eng.rdu.redhat.com:9090  
13  | vmcapsule012.perf.lab.eng.rdu.redhat.com   | https://vmcapsule012.perf.lab.eng.rdu.redhat.com:9090  
14  | vmcapsule013.perf.lab.eng.rdu.redhat.com   | https://vmcapsule013.perf.lab.eng.rdu.redhat.com:9090  
15  | vmcapsule014.perf.lab.eng.rdu.redhat.com   | https://vmcapsule014.perf.lab.eng.rdu.redhat.com:9090  
16  | vmcapsule015.perf.lab.eng.rdu.redhat.com   | https://vmcapsule015.perf.lab.eng.rdu.redhat.com:9090  
17  | vmcapsule016.perf.lab.eng.rdu.redhat.com   | https://vmcapsule016.perf.lab.eng.rdu.redhat.com:9090  
18  | vmcapsule017.perf.lab.eng.rdu.redhat.com   | https://vmcapsule017.perf.lab.eng.rdu.redhat.com:9090  
19  | vmcapsule018.perf.lab.eng.rdu.redhat.com   | https://vmcapsule018.perf.lab.eng.rdu.redhat.com:9090  
20  | vmcapsule019.perf.lab.eng.rdu.redhat.com   | https://vmcapsule019.perf.lab.eng.rdu.redhat.com:9090  
21  | vmcapsule020.perf.lab.eng.rdu.redhat.com   | https://vmcapsule020.perf.lab.eng.rdu.redhat.com:9090  
22  | vmcapsule021.perf.lab.eng.rdu.redhat.com   | https://vmcapsule021.perf.lab.eng.rdu.redhat.com:9090  
23  | vmcapsule022.perf.lab.eng.rdu.redhat.com   | https://vmcapsule022.perf.lab.eng.rdu.redhat.com:9090  
24  | vmcapsule023.perf.lab.eng.rdu.redhat.com   | https://vmcapsule023.perf.lab.eng.rdu.redhat.com:9090  
25  | vmcapsule024.perf.lab.eng.rdu.redhat.com   | https://vmcapsule024.perf.lab.eng.rdu.redhat.com:9090  
26  | vmcapsule025.perf.lab.eng.rdu.redhat.com   | https://vmcapsule025.perf.lab.eng.rdu.redhat.com:9090  
27  | vmcapsule026.perf.lab.eng.rdu.redhat.com   | https://vmcapsule026.perf.lab.eng.rdu.redhat.com:9090  
28  | vmcapsule027.perf.lab.eng.rdu.redhat.com   | https://vmcapsule027.perf.lab.eng.rdu.redhat.com:9090  
29  | vmcapsule028.perf.lab.eng.rdu.redhat.com   | https://vmcapsule028.perf.lab.eng.rdu.redhat.com:9090  
30  | vmcapsule029.perf.lab.eng.rdu.redhat.com   | https://vmcapsule029.perf.lab.eng.rdu.redhat.com:9090  
31  | vmcapsule030.perf.lab.eng.rdu.redhat.com   | https://vmcapsule030.perf.lab.eng.rdu.redhat.com:9090  
32  | vmcapsule031.perf.lab.eng.rdu.redhat.com   | https://vmcapsule031.perf.lab.eng.rdu.redhat.com:9090  
33  | vmcapsule032.perf.lab.eng.rdu.redhat.com   | https://vmcapsule032.perf.lab.eng.rdu.redhat.com:9090  
34  | vmcapsule033.perf.lab.eng.rdu.redhat.com   | https://vmcapsule033.perf.lab.eng.rdu.redhat.com:9090  
35  | vmcapsule034.perf.lab.eng.rdu.redhat.com   | https://vmcapsule034.perf.lab.eng.rdu.redhat.com:9090  
36  | vmcapsule035.perf.lab.eng.rdu.redhat.com   | https://vmcapsule035.perf.lab.eng.rdu.redhat.com:9090  
37  | vmcapsule036.perf.lab.eng.rdu.redhat.com   | https://vmcapsule036.perf.lab.eng.rdu.redhat.com:9090  
38  | vmcapsule037.perf.lab.eng.rdu.redhat.com   | https://vmcapsule037.perf.lab.eng.rdu.redhat.com:9090  
39  | vmcapsule038.perf.lab.eng.rdu.redhat.com   | https://vmcapsule038.perf.lab.eng.rdu.redhat.com:9090  
40  | vmcapsule039.perf.lab.eng.rdu.redhat.com   | https://vmcapsule039.perf.lab.eng.rdu.redhat.com:9090  
41  | vmcapsule040.perf.lab.eng.rdu.redhat.com   | https://vmcapsule040.perf.lab.eng.rdu.redhat.com:9090  
42  | vmcapsule041.perf.lab.eng.rdu.redhat.com   | https://vmcapsule041.perf.lab.eng.rdu.redhat.com:9090  
43  | vmcapsule042.perf.lab.eng.rdu.redhat.com   | https://vmcapsule042.perf.lab.eng.rdu.redhat.com:9090  
44  | vmcapsule043.perf.lab.eng.rdu.redhat.com   | https://vmcapsule043.perf.lab.eng.rdu.redhat.com:9090  
45  | vmcapsule044.perf.lab.eng.rdu.redhat.com   | https://vmcapsule044.perf.lab.eng.rdu.redhat.com:9090  
46  | vmcapsule045.perf.lab.eng.rdu.redhat.com   | https://vmcapsule045.perf.lab.eng.rdu.redhat.com:9090  
47  | vmcapsule046.perf.lab.eng.rdu.redhat.com   | https://vmcapsule046.perf.lab.eng.rdu.redhat.com:9090  
48  | vmcapsule047.perf.lab.eng.rdu.redhat.com   | https://vmcapsule047.perf.lab.eng.rdu.redhat.com:9090  
49  | vmcapsule048.perf.lab.eng.rdu.redhat.com   | https://vmcapsule048.perf.lab.eng.rdu.redhat.com:9090  
50  | vmcapsule049.perf.lab.eng.rdu.redhat.com   | https://vmcapsule049.perf.lab.eng.rdu.redhat.com:9090  
51  | vmcapsule050.perf.lab.eng.rdu.redhat.com   | https://vmcapsule050.perf.lab.eng.rdu.redhat.com:9090  
52  | vmcapsule051.perf.lab.eng.rdu.redhat.com   | https://vmcapsule051.perf.lab.eng.rdu.redhat.com:9090  
53  | vmcapsule052.perf.lab.eng.rdu.redhat.com   | https://vmcapsule052.perf.lab.eng.rdu.redhat.com:9090  
54  | vmcapsule053.perf.lab.eng.rdu.redhat.com   | https://vmcapsule053.perf.lab.eng.rdu.redhat.com:9090  
55  | vmcapsule054.perf.lab.eng.rdu.redhat.com   | https://vmcapsule054.perf.lab.eng.rdu.redhat.com:9090  
56  | vmcapsule055.perf.lab.eng.rdu.redhat.com   | https://vmcapsule055.perf.lab.eng.rdu.redhat.com:9090  
57  | vmcapsule056.perf.lab.eng.rdu.redhat.com   | https://vmcapsule056.perf.lab.eng.rdu.redhat.com:9090  
58  | vmcapsule057.perf.lab.eng.rdu.redhat.com   | https://vmcapsule057.perf.lab.eng.rdu.redhat.com:9090  
59  | vmcapsule058.perf.lab.eng.rdu.redhat.com   | https://vmcapsule058.perf.lab.eng.rdu.redhat.com:9090  
60  | vmcapsule059.perf.lab.eng.rdu.redhat.com   | https://vmcapsule059.perf.lab.eng.rdu.redhat.com:9090  
61  | vmcapsule060.perf.lab.eng.rdu.redhat.com   | https://vmcapsule060.perf.lab.eng.rdu.redhat.com:9090  
62  | vmcapsule061.perf.lab.eng.rdu.redhat.com   | https://vmcapsule061.perf.lab.eng.rdu.redhat.com:9090  
63  | vmcapsule062.perf.lab.eng.rdu.redhat.com   | https://vmcapsule062.perf.lab.eng.rdu.redhat.com:9090  
64  | vmcapsule063.perf.lab.eng.rdu.redhat.com   | https://vmcapsule063.perf.lab.eng.rdu.redhat.com:9090  
65  | vmcapsule064.perf.lab.eng.rdu.redhat.com   | https://vmcapsule064.perf.lab.eng.rdu.redhat.com:9090  
66  | vmcapsule065.perf.lab.eng.rdu.redhat.com   | https://vmcapsule065.perf.lab.eng.rdu.redhat.com:9090  
67  | vmcapsule066.perf.lab.eng.rdu.redhat.com   | https://vmcapsule066.perf.lab.eng.rdu.redhat.com:9090  
68  | vmcapsule067.perf.lab.eng.rdu.redhat.com   | https://vmcapsule067.perf.lab.eng.rdu.redhat.com:9090  
69  | vmcapsule068.perf.lab.eng.rdu.redhat.com   | https://vmcapsule068.perf.lab.eng.rdu.redhat.com:9090  
70  | vmcapsule069.perf.lab.eng.rdu.redhat.com   | https://vmcapsule069.perf.lab.eng.rdu.redhat.com:9090  
71  | vmcapsule070.perf.lab.eng.rdu.redhat.com   | https://vmcapsule070.perf.lab.eng.rdu.redhat.com:9090  
72  | vmcapsule071.perf.lab.eng.rdu.redhat.com   | https://vmcapsule071.perf.lab.eng.rdu.redhat.com:9090  
73  | vmcapsule072.perf.lab.eng.rdu.redhat.com   | https://vmcapsule072.perf.lab.eng.rdu.redhat.com:9090  
74  | vmcapsule073.perf.lab.eng.rdu.redhat.com   | https://vmcapsule073.perf.lab.eng.rdu.redhat.com:9090  
75  | vmcapsule074.perf.lab.eng.rdu.redhat.com   | https://vmcapsule074.perf.lab.eng.rdu.redhat.com:9090  
76  | vmcapsule075.perf.lab.eng.rdu.redhat.com   | https://vmcapsule075.perf.lab.eng.rdu.redhat.com:9090  
77  | vmcapsule076.perf.lab.eng.rdu.redhat.com   | https://vmcapsule076.perf.lab.eng.rdu.redhat.com:9090  
78  | vmcapsule077.perf.lab.eng.rdu.redhat.com   | https://vmcapsule077.perf.lab.eng.rdu.redhat.com:9090  
79  | vmcapsule078.perf.lab.eng.rdu.redhat.com   | https://vmcapsule078.perf.lab.eng.rdu.redhat.com:9090  
80  | vmcapsule079.perf.lab.eng.rdu.redhat.com   | https://vmcapsule079.perf.lab.eng.rdu.redhat.com:9090  
81  | vmcapsule080.perf.lab.eng.rdu.redhat.com   | https://vmcapsule080.perf.lab.eng.rdu.redhat.com:9090  
82  | vmcapsule081.perf.lab.eng.rdu.redhat.com   | https://vmcapsule081.perf.lab.eng.rdu.redhat.com:9090  
83  | vmcapsule082.perf.lab.eng.rdu.redhat.com   | https://vmcapsule082.perf.lab.eng.rdu.redhat.com:9090  
84  | vmcapsule083.perf.lab.eng.rdu.redhat.com   | https://vmcapsule083.perf.lab.eng.rdu.redhat.com:9090  
85  | vmcapsule084.perf.lab.eng.rdu.redhat.com   | https://vmcapsule084.perf.lab.eng.rdu.redhat.com:9090  
86  | vmcapsule085.perf.lab.eng.rdu.redhat.com   | https://vmcapsule085.perf.lab.eng.rdu.redhat.com:9090  
87  | vmcapsule086.perf.lab.eng.rdu.redhat.com   | https://vmcapsule086.perf.lab.eng.rdu.redhat.com:9090  
88  | vmcapsule087.perf.lab.eng.rdu.redhat.com   | https://vmcapsule087.perf.lab.eng.rdu.redhat.com:9090  
89  | vmcapsule088.perf.lab.eng.rdu.redhat.com   | https://vmcapsule088.perf.lab.eng.rdu.redhat.com:9090  
90  | vmcapsule089.perf.lab.eng.rdu.redhat.com   | https://vmcapsule089.perf.lab.eng.rdu.redhat.com:9090  
91  | vmcapsule090.perf.lab.eng.rdu.redhat.com   | https://vmcapsule090.perf.lab.eng.rdu.redhat.com:9090  
92  | vmcapsule091.perf.lab.eng.rdu.redhat.com   | https://vmcapsule091.perf.lab.eng.rdu.redhat.com:9090  
93  | vmcapsule092.perf.lab.eng.rdu.redhat.com   | https://vmcapsule092.perf.lab.eng.rdu.redhat.com:9090  
94  | vmcapsule093.perf.lab.eng.rdu.redhat.com   | https://vmcapsule093.perf.lab.eng.rdu.redhat.com:9090  
95  | vmcapsule094.perf.lab.eng.rdu.redhat.com   | https://vmcapsule094.perf.lab.eng.rdu.redhat.com:9090  
96  | vmcapsule095.perf.lab.eng.rdu.redhat.com   | https://vmcapsule095.perf.lab.eng.rdu.redhat.com:9090  
97  | vmcapsule096.perf.lab.eng.rdu.redhat.com   | https://vmcapsule096.perf.lab.eng.rdu.redhat.com:9090  
98  | vmcapsule097.perf.lab.eng.rdu.redhat.com   | https://vmcapsule097.perf.lab.eng.rdu.redhat.com:9090  
99  | vmcapsule098.perf.lab.eng.rdu.redhat.com   | https://vmcapsule098.perf.lab.eng.rdu.redhat.com:9090  
100 | vmcapsule099.perf.lab.eng.rdu.redhat.com   | https://vmcapsule099.perf.lab.eng.rdu.redhat.com:9090  
101 | vmcapsule100.perf.lab.eng.rdu.redhat.com   | https://vmcapsule100.perf.lab.eng.rdu.redhat.com:9090  
102 | vmcapsule101.perf.lab.eng.rdu.redhat.com   | https://vmcapsule101.perf.lab.eng.rdu.redhat.com:9090  
103 | vmcapsule102.perf.lab.eng.rdu.redhat.com   | https://vmcapsule102.perf.lab.eng.rdu.redhat.com:9090  
104 | vmcapsule103.perf.lab.eng.rdu.redhat.com   | https://vmcapsule103.perf.lab.eng.rdu.redhat.com:9090  
105 | vmcapsule104.perf.lab.eng.rdu.redhat.com   | https://vmcapsule104.perf.lab.eng.rdu.redhat.com:9090  
106 | vmcapsule105.perf.lab.eng.rdu.redhat.com   | https://vmcapsule105.perf.lab.eng.rdu.redhat.com:9090  
107 | vmcapsule106.perf.lab.eng.rdu.redhat.com   | https://vmcapsule106.perf.lab.eng.rdu.redhat.com:9090  
108 | vmcapsule107.perf.lab.eng.rdu.redhat.com   | https://vmcapsule107.perf.lab.eng.rdu.redhat.com:9090  
109 | vmcapsule108.perf.lab.eng.rdu.redhat.com   | https://vmcapsule108.perf.lab.eng.rdu.redhat.com:9090  
110 | vmcapsule109.perf.lab.eng.rdu.redhat.com   | https://vmcapsule109.perf.lab.eng.rdu.redhat.com:9090  
111 | vmcapsule110.perf.lab.eng.rdu.redhat.com   | https://vmcapsule110.perf.lab.eng.rdu.redhat.com:9090  
112 | vmcapsule111.perf.lab.eng.rdu.redhat.com   | https://vmcapsule111.perf.lab.eng.rdu.redhat.com:9090  
113 | vmcapsule112.perf.lab.eng.rdu.redhat.com   | https://vmcapsule112.perf.lab.eng.rdu.redhat.com:9090  
114 | vmcapsule113.perf.lab.eng.rdu.redhat.com   | https://vmcapsule113.perf.lab.eng.rdu.redhat.com:9090  
115 | vmcapsule114.perf.lab.eng.rdu.redhat.com   | https://vmcapsule114.perf.lab.eng.rdu.redhat.com:9090  
116 | vmcapsule115.perf.lab.eng.rdu.redhat.com   | https://vmcapsule115.perf.lab.eng.rdu.redhat.com:9090  
117 | vmcapsule116.perf.lab.eng.rdu.redhat.com   | https://vmcapsule116.perf.lab.eng.rdu.redhat.com:9090  
118 | vmcapsule117.perf.lab.eng.rdu.redhat.com   | https://vmcapsule117.perf.lab.eng.rdu.redhat.com:9090  
119 | vmcapsule118.perf.lab.eng.rdu.redhat.com   | https://vmcapsule118.perf.lab.eng.rdu.redhat.com:9090  
120 | vmcapsule119.perf.lab.eng.rdu.redhat.com   | https://vmcapsule119.perf.lab.eng.rdu.redhat.com:9090  
121 | vmcapsule120.perf.lab.eng.rdu.redhat.com   | https://vmcapsule120.perf.lab.eng.rdu.redhat.com:9090  
122 | vmcapsule121.perf.lab.eng.rdu.redhat.com   | https://vmcapsule121.perf.lab.eng.rdu.redhat.com:9090  
123 | vmcapsule122.perf.lab.eng.rdu.redhat.com   | https://vmcapsule122.perf.lab.eng.rdu.redhat.com:9090  
124 | vmcapsule123.perf.lab.eng.rdu.redhat.com   | https://vmcapsule123.perf.lab.eng.rdu.redhat.com:9090  
125 | vmcapsule124.perf.lab.eng.rdu.redhat.com   | https://vmcapsule124.perf.lab.eng.rdu.redhat.com:9090  
126 | vmcapsule125.perf.lab.eng.rdu.redhat.com   | https://vmcapsule125.perf.lab.eng.rdu.redhat.com:9090  
127 | vmcapsule126.perf.lab.eng.rdu.redhat.com   | https://vmcapsule126.perf.lab.eng.rdu.redhat.com:9090  
128 | vmcapsule127.perf.lab.eng.rdu.redhat.com   | https://vmcapsule127.perf.lab.eng.rdu.redhat.com:9090  
129 | vmcapsule128.perf.lab.eng.rdu.redhat.com   | https://vmcapsule128.perf.lab.eng.rdu.redhat.com:9090  
130 | vmcapsule129.perf.lab.eng.rdu.redhat.com   | https://vmcapsule129.perf.lab.eng.rdu.redhat.com:9090  
131 | vmcapsule130.perf.lab.eng.rdu.redhat.com   | https://vmcapsule130.perf.lab.eng.rdu.redhat.com:9090  
132 | vmcapsule131.perf.lab.eng.rdu.redhat.com   | https://vmcapsule131.perf.lab.eng.rdu.redhat.com:9090  
133 | vmcapsule132.perf.lab.eng.rdu.redhat.com   | https://vmcapsule132.perf.lab.eng.rdu.redhat.com:9090  
134 | vmcapsule133.perf.lab.eng.rdu.redhat.com   | https://vmcapsule133.perf.lab.eng.rdu.redhat.com:9090  
135 | vmcapsule134.perf.lab.eng.rdu.redhat.com   | https://vmcapsule134.perf.lab.eng.rdu.redhat.com:9090  
136 | vmcapsule135.perf.lab.eng.rdu.redhat.com   | https://vmcapsule135.perf.lab.eng.rdu.redhat.com:9090  
137 | vmcapsule136.perf.lab.eng.rdu.redhat.com   | https://vmcapsule136.perf.lab.eng.rdu.redhat.com:9090  
138 | vmcapsule137.perf.lab.eng.rdu.redhat.com   | https://vmcapsule137.perf.lab.eng.rdu.redhat.com:9090  
139 | vmcapsule138.perf.lab.eng.rdu.redhat.com   | https://vmcapsule138.perf.lab.eng.rdu.redhat.com:9090  
140 | vmcapsule139.perf.lab.eng.rdu.redhat.com   | https://vmcapsule139.perf.lab.eng.rdu.redhat.com:9090  
141 | vmcapsule140.perf.lab.eng.rdu.redhat.com   | https://vmcapsule140.perf.lab.eng.rdu.redhat.com:9090  
142 | vmcapsule141.perf.lab.eng.rdu.redhat.com   | https://vmcapsule141.perf.lab.eng.rdu.redhat.com:9090  
143 | vmcapsule142.perf.lab.eng.rdu.redhat.com   | https://vmcapsule142.perf.lab.eng.rdu.redhat.com:9090  
144 | vmcapsule143.perf.lab.eng.rdu.redhat.com   | https://vmcapsule143.perf.lab.eng.rdu.redhat.com:9090  
145 | vmcapsule144.perf.lab.eng.rdu.redhat.com   | https://vmcapsule144.perf.lab.eng.rdu.redhat.com:9090  
146 | vmcapsule145.perf.lab.eng.rdu.redhat.com   | https://vmcapsule145.perf.lab.eng.rdu.redhat.com:9090  
147 | vmcapsule146.perf.lab.eng.rdu.redhat.com   | https://vmcapsule146.perf.lab.eng.rdu.redhat.com:9090  
148 | vmcapsule147.perf.lab.eng.rdu.redhat.com   | https://vmcapsule147.perf.lab.eng.rdu.redhat.com:9090  
149 | vmcapsule148.perf.lab.eng.rdu.redhat.com   | https://vmcapsule148.perf.lab.eng.rdu.redhat.com:9090  
150 | vmcapsule149.perf.lab.eng.rdu.redhat.com   | https://vmcapsule149.perf.lab.eng.rdu.redhat.com:9090  
151 | vmcapsule150.perf.lab.eng.rdu.redhat.com   | https://vmcapsule150.perf.lab.eng.rdu.redhat.com:9090  
152 | vmcapsule151.perf.lab.eng.rdu.redhat.com   | https://vmcapsule151.perf.lab.eng.rdu.redhat.com:9090  
153 | vmcapsule153.perf.lab.eng.rdu.redhat.com   | https://vmcapsule153.perf.lab.eng.rdu.redhat.com:9090  
154 | vmcapsule154.perf.lab.eng.rdu.redhat.com   | https://vmcapsule154.perf.lab.eng.rdu.redhat.com:9090  
155 | vmcapsule155.perf.lab.eng.rdu.redhat.com   | https://vmcapsule155.perf.lab.eng.rdu.redhat.com:9090  
156 | vmcapsule156.perf.lab.eng.rdu.redhat.com   | https://vmcapsule156.perf.lab.eng.rdu.redhat.com:9090  
157 | vmcapsule157.perf.lab.eng.rdu.redhat.com   | https://vmcapsule157.perf.lab.eng.rdu.redhat.com:9090  
158 | vmcapsule158.perf.lab.eng.rdu.redhat.com   | https://vmcapsule158.perf.lab.eng.rdu.redhat.com:9090  
159 | vmcapsule159.perf.lab.eng.rdu.redhat.com   | https://vmcapsule159.perf.lab.eng.rdu.redhat.com:9090  
160 | vmcapsule160.perf.lab.eng.rdu.redhat.com   | https://vmcapsule160.perf.lab.eng.rdu.redhat.com:9090  
161 | vmcapsule161.perf.lab.eng.rdu.redhat.com   | https://vmcapsule161.perf.lab.eng.rdu.redhat.com:9090  
162 | vmcapsule162.perf.lab.eng.rdu.redhat.com   | https://vmcapsule162.perf.lab.eng.rdu.redhat.com:9090  
163 | vmcapsule163.perf.lab.eng.rdu.redhat.com   | https://vmcapsule163.perf.lab.eng.rdu.redhat.com:9090  
164 | vmcapsule164.perf.lab.eng.rdu.redhat.com   | https://vmcapsule164.perf.lab.eng.rdu.redhat.com:9090  
165 | vmcapsule165.perf.lab.eng.rdu.redhat.com   | https://vmcapsule165.perf.lab.eng.rdu.redhat.com:9090  
167 | vmcapsule166.perf.lab.eng.rdu.redhat.com   | https://vmcapsule166.perf.lab.eng.rdu.redhat.com:9090  
166 | vmcapsule167.perf.lab.eng.rdu.redhat.com   | https://vmcapsule167.perf.lab.eng.rdu.redhat.com:9090  
168 | vmcapsule168.perf.lab.eng.rdu.redhat.com   | https://vmcapsule168.perf.lab.eng.rdu.redhat.com:9090  
169 | vmcapsule169.perf.lab.eng.rdu.redhat.com   | https://vmcapsule169.perf.lab.eng.rdu.redhat.com:9090  
170 | vmcapsule170.perf.lab.eng.rdu.redhat.com   | https://vmcapsule170.perf.lab.eng.rdu.redhat.com:9090  
171 | vmcapsule171.perf.lab.eng.rdu.redhat.com   | https://vmcapsule171.perf.lab.eng.rdu.redhat.com:9090  
174 | vmcapsule172.perf.lab.eng.rdu.redhat.com   | https://vmcapsule172.perf.lab.eng.rdu.redhat.com:9090  
193 | vmcapsule174.perf.lab.eng.rdu.redhat.com   | https://vmcapsule174.perf.lab.eng.rdu.redhat.com:9090  
190 | vmcapsule175.perf.lab.eng.rdu.redhat.com   | https://vmcapsule175.perf.lab.eng.rdu.redhat.com:9090  
192 | vmcapsule176.perf.lab.eng.rdu.redhat.com   | https://vmcapsule176.perf.lab.eng.rdu.redhat.com:9090  
181 | vmcapsule178.perf.lab.eng.rdu.redhat.com   | https://vmcapsule178.perf.lab.eng.rdu.redhat.com:9090  
186 | vmcapsule180.perf.lab.eng.rdu.redhat.com   | https://vmcapsule180.perf.lab.eng.rdu.redhat.com:9090  
187 | vmcapsule181.perf.lab.eng.rdu.redhat.com   | https://vmcapsule181.perf.lab.eng.rdu.redhat.com:9090  
188 | vmcapsule182.perf.lab.eng.rdu.redhat.com   | https://vmcapsule182.perf.lab.eng.rdu.redhat.com:9090  
189 | vmcapsule183.perf.lab.eng.rdu.redhat.com   | https://vmcapsule183.perf.lab.eng.rdu.redhat.com:9090  
191 | vmcapsule184.perf.lab.eng.rdu.redhat.com   | https://vmcapsule184.perf.lab.eng.rdu.redhat.com:9090  
194 | vmcapsule185.perf.lab.eng.rdu.redhat.com   | https://vmcapsule185.perf.lab.eng.rdu.redhat.com:9090  
195 | vmcapsule186.perf.lab.eng.rdu.redhat.com   | https://vmcapsule186.perf.lab.eng.rdu.redhat.com:9090  
196 | vmcapsule187.perf.lab.eng.rdu.redhat.com   | https://vmcapsule187.perf.lab.eng.rdu.redhat.com:9090  
197 | vmcapsule188.perf.lab.eng.rdu.redhat.com   | https://vmcapsule188.perf.lab.eng.rdu.redhat.com:9090  
180 | vmcapsule189.perf.lab.eng.rdu.redhat.com   | https://vmcapsule189.perf.lab.eng.rdu.redhat.com:9090  
177 | vmcapsule190.perf.lab.eng.rdu.redhat.com   | https://vmcapsule190.perf.lab.eng.rdu.redhat.com:9090  
178 | vmcapsule191.perf.lab.eng.rdu.redhat.com   | https://vmcapsule191.perf.lab.eng.rdu.redhat.com:9090  
176 | vmcapsule192.perf.lab.eng.rdu.redhat.com   | https://vmcapsule192.perf.lab.eng.rdu.redhat.com:9090  
179 | vmcapsule193.perf.lab.eng.rdu.redhat.com   | https://vmcapsule193.perf.lab.eng.rdu.redhat.com:9090  
175 | vmcapsule194.perf.lab.eng.rdu.redhat.com   | https://vmcapsule194.perf.lab.eng.rdu.redhat.com:9090  
173 | vmcapsule195.perf.lab.eng.rdu.redhat.com   | https://vmcapsule195.perf.lab.eng.rdu.redhat.com:9090  
172 | vmcapsule196.perf.lab.eng.rdu.redhat.com   | https://vmcapsule196.perf.lab.eng.rdu.redhat.com:9090  
183 | vmcapsule200.perf.lab.eng.rdu.redhat.com   | https://vmcapsule200.perf.lab.eng.rdu.redhat.com:9090  
184 | vmcapsule201.perf.lab.eng.rdu.redhat.com   | https://vmcapsule201.perf.lab.eng.rdu.redhat.com:9090  
182 | vmcapsule202.perf.lab.eng.rdu.redhat.com   | https://vmcapsule202.perf.lab.eng.rdu.redhat.com:9090  
185 | vmcapsule203.perf.lab.eng.rdu.redhat.com   | https://vmcapsule203.perf.lab.eng.rdu.redhat.com:9090  
----|--------------------------------------------|--------------------------------------------------------




We should list capsule status some thing similar to virsh/libvirt. 
For ex: 

virsh # list --all
 Id    Name                           State
----------------------------------------------------
 21    vm1                            running
 22    vm2                            running
 23    vm3                            running
 24    vm4                            running
 25    vm5                            running
 26    vm6                            running
 27    vm7                            running
 28    vm8                            running
 29    vm9                            running
 30    vm10                           running
 31    vm11                           running
 32    vm12                           running
 33    vm13                           running
 34    vm14                           running
 35    vm15                           running
 36    vm16                           running
 -     dhcp31-68                      shut off
 -     master                         shut off
 -     rhel71                         shut off

virsh # 






Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Stop capsule nodes. 
2.
3.

Actual results:

Capsule status is not shown. 

Expected results:

Show capsule status

Additional info:

Comment 2 Tomas Strachota 2016-02-24 10:33:11 UTC
Created redmine issue http://projects.theforeman.org/issues/13871 from this bug

Comment 4 Bryan Kearney 2016-02-24 11:09:54 UTC
Upstream bug component is Hammer

Comment 5 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 6 Bryan Kearney 2016-07-26 15:41:29 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 8 Pradeep Kumar Surisetty 2017-02-02 04:21:40 UTC
Not a priority issue


Note You need to log in before you can comment on or make changes to this bug.